# loslib.c File Reference

`#include <errno.h>`
`#include <locale.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include "lua.h"`
`#include "lauxlib.h"`
`#include "lualib.h"`

## Defines
#define | loslib_c
#define | LUA_LIB
## Functions
static int | os_pushresult (lua_State *L, int i, const char *filename)
static int | os_execute (lua_State *L)
static int | os_remove (lua_State *L)
static int | os_rename (lua_State *L)
static int | os_tmpname (lua_State *L)
static int | os_getenv (lua_State *L)
static int | os_clock (lua_State *L)
static void | setfield (lua_State *L, const char *key, int value)
static void | setboolfield (lua_State *L, const char *key, int value)
static int | getboolfield (lua_State *L, const char *key)
static int | getfield (lua_State *L, const char *key, int d)
static int | os_date (lua_State *L)
static int | os_time (lua_State *L)
static int | os_difftime (lua_State *L)
static int | os_setlocale (lua_State *L)
static int | os_exit (lua_State *L)
LUALIB_API int | luaopen_os (lua_State *L)
## Variables
static const luaL_Reg | syslib []

## Define Documentation

#define loslib_c

#define LUA_LIB

## Function Documentation

static int getboolfield | ( | lua_State * | L,
|  | const char * | key |
| ) |  |  | `[static]`

static int getfield | ( | lua_State * | L,
|  | const char * | key,
|  | int | d |
| ) |  |  | `[static]`

LUALIB_API int luaopen_os | ( | lua_State * | L | ) |

static int os_clock | ( | lua_State * | L | ) | `[static]`

static int os_date | ( | lua_State * | L | ) | `[static]`

static int os_difftime | ( | lua_State * | L | ) | `[static]`

static int os_execute | ( | lua_State * | L | ) | `[static]`

static int os_exit | ( | lua_State * | L | ) | `[static]`

static int os_getenv | ( | lua_State * | L | ) | `[static]`

static int os_pushresult | ( | lua_State * | L,
|  | int | i,
|  | const char * | filename |
| ) |  |  | `[static]`

static int os_remove | ( | lua_State * | L | ) | `[static]`

static int os_rename | ( | lua_State * | L | ) | `[static]`

static int os_setlocale | ( | lua_State * | L | ) | `[static]`

static int os_time | ( | lua_State * | L | ) | `[static]`

static int os_tmpname | ( | lua_State * | L | ) | `[static]`

static void setboolfield | ( | lua_State * | L,
|  | const char * | key,
|  | int | value |
| ) |  |  | `[static]`

static void setfield | ( | lua_State * | L,
|  | const char * | key,
|  | int | value |
| ) |  |  | `[static]`

## Variable Documentation

const luaL_Reg syslib[]`[static]`

Initial value:

     {
      {"clock",     os_clock},
      {"date",      os_date},
      {"difftime",  os_difftime},
      {"execute",   os_execute},
      {"exit",      os_exit},
      {"getenv",    os_getenv},
      {"remove",    os_remove},
      {"rename",    os_rename},
      {"setlocale", os_setlocale},
      {"time",      os_time},
      {"tmpname",   os_tmpname},
      {NULL, NULL}
    }